<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:p="http://primefaces.org/ui">
    <!-- param : currentVal -->
    <div class="row">
        <a4j:region>
            <div class="col-md-3">
                <p:chart type="pie" model="#{crossValidatorStatistics.getPieChartRuleStatus(currentVal)}"/>
            </div>
            <div class="col-md-3">
                <p:chart type="pie" model="#{crossValidatorStatistics.getPieChartCoverage(currentVal)}"/>
            </div>
            <div class="col-md-3">
                <p:chart type="pie" model="#{crossValidatorStatistics.getCoverageByUnitTests(currentVal)}"/>
            </div>
            <div class="col-md-3">
                <p:chart type="pie" model="#{crossValidatorStatistics.getPieChartUnitTest(currentVal)}"/>
            </div>
        </a4j:region>
    </div>
</ui:composition>